## org.apache.ivy.osgi.obr.filter
Class AndFilter

    java.lang.Object
      org.apache.ivy.osgi.obr.xml.RequirementFilter
          org.apache.ivy.osgi.obr.filter.MultiOperatorFilter
              org.apache.ivy.osgi.obr.filter.AndFilter

    public class AndFilter

extends MultiOperatorFilter

Constructor Summary
`AndFilter()`
`AndFilter(RequirementFilter[] filters)`

Method Summary
`protected char` `operator()`

Methods inherited from class org.apache.ivy.osgi.obr.filter.MultiOperatorFilter
`add, append, equals, getSubFilters, hashCode`

Methods inherited from class org.apache.ivy.osgi.obr.xml.RequirementFilter
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndFilter

    public AndFilter()

### AndFilter

    public AndFilter(RequirementFilter[] filters)

Method Detail

### operator

    protected char operator()

  Specified by:
    `operator` in class `MultiOperatorFilter`